"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detachBinCommand = void 0;
var tslib_1 = require("tslib");
var ora_1 = tslib_1.__importDefault(require("ora"));
var utils_1 = require("../../shared/utils");
var messages_1 = require("../../shared/messages");
var detach_helpers_1 = require("./detach.helpers");
var detachBinCommand = function (prog) {
    prog
        .command('migration detach')
        .describe('Add all necessary settings to separate the package from the workspace.')
        .alias('mi')
        .example('migration detach')
        .action(function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var bootSpinner, packageDir, err_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    bootSpinner = ora_1.default(messages_1.detachMessage.generating());
                    return [4 /*yield*/, utils_1.findPackageDirectory()];
                case 1:
                    packageDir = _a.sent();
                    bootSpinner.start();
                    _a.label = 2;
                case 2:
                    _a.trys.push([2, 7, , 8]);
                    return [4 /*yield*/, detach_helpers_1.detachTsconfigJsonFromWorkspace(packageDir)];
                case 3:
                    _a.sent();
                    return [4 /*yield*/, detach_helpers_1.detachPackageJsonFromWorkspace(packageDir)];
                case 4:
                    _a.sent();
                    return [4 /*yield*/, detach_helpers_1.copyDetachTemplate(packageDir)];
                case 5:
                    _a.sent();
                    return [4 /*yield*/, utils_1.installDependencies()];
                case 6:
                    _a.sent();
                    bootSpinner.succeed(messages_1.detachMessage.successful());
                    return [3 /*break*/, 8];
                case 7:
                    err_1 = _a.sent();
                    bootSpinner.fail(messages_1.detachMessage.failed());
                    utils_1.logError(err_1);
                    process.exit(1);
                    return [3 /*break*/, 8];
                case 8: return [2 /*return*/];
            }
        });
    }); });
};
exports.detachBinCommand = detachBinCommand;
