"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.space = exports.clearConsole = exports.color = void 0;
var ramda_1 = require("ramda");
var colorette_1 = require("colorette");
exports.color = {
    info: function (msg) { return ramda_1.pipe(colorette_1.bold, colorette_1.cyan)(msg); },
    details: function (msg) { return ramda_1.pipe(colorette_1.bold, colorette_1.blue)(msg); },
    error: function (msg) { return ramda_1.pipe(colorette_1.bold, colorette_1.red)(msg); },
    success: function (msg) { return ramda_1.pipe(colorette_1.bold, colorette_1.green)(msg); },
    highlight: function (msg) { return ramda_1.pipe(colorette_1.bold, colorette_1.yellow)(msg); },
    bold: function (msg) { return colorette_1.bold(msg); },
    inverse: function (msg) { return colorette_1.inverse(msg); },
    underline: function (msg) { return colorette_1.underline(msg); }
};
// Taken from Create React App, react-dev-utils/clearConsole
// @see https://github.com/facebook/create-react-app/blob/master/packages/react-dev-utils/clearConsole.js
function clearConsole() {
    process.stdout.write(process.platform === 'win32' ? '\x1B[2J\x1B[0f' : '\x1B[2J\x1B[3J\x1B[H');
}
exports.clearConsole = clearConsole;
var space = function () { return process.stdout.write('\n'); };
exports.space = space;
