"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.teardownStage = exports.setupStage = exports.smartExec = void 0;
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var shelljs_1 = tslib_1.__importDefault(require("shelljs"));
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var dependency_utils_1 = require("./dependency.utils");
shelljs_1.default.config.silent = true;
var cache = {};
function smartExec(command, _a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.noCache, noCache = _c === void 0 ? false : _c;
    if (!noCache && cache[command]) {
        return cache[command];
    }
    var output = shelljs_1.default.exec(command);
    if (!noCache) {
        cache[command] = output;
    }
    return output;
}
exports.smartExec = smartExec;
var ROOT_DIR = process.cwd();
var STAGING_PATH = path_1.default.join(ROOT_DIR, 'test', '.staging');
var getStageName = function (fixtureName) { return "stage-" + fixtureName; };
var setupStage = function (_a) {
    var testDir = _a.testDir, fixture = _a.fixture, _b = _a.template, template = _b === void 0 ? fixture : _b;
    var stagePath = path_1.default.join(STAGING_PATH, getStageName(fixture));
    shelljs_1.default.mkdir(stagePath);
    shelljs_1.default.exec("cp -a " + ROOT_DIR + "/test/" + testDir + "/fixtures/" + template + "/. " + stagePath + "/");
    shelljs_1.default.cd(stagePath);
    var shouldInstallDependencies = fs_extra_1.default.existsSync(path_1.default.resolve(stagePath, 'yarn.lock'));
    if (shouldInstallDependencies) {
        dependency_utils_1.installDependencies();
    }
};
exports.setupStage = setupStage;
var teardownStage = function (fixtureName) {
    shelljs_1.default.cd(ROOT_DIR);
    shelljs_1.default.rm('-rf', path_1.default.join(STAGING_PATH, getStageName(fixtureName)));
};
exports.teardownStage = teardownStage;
